%global srcname pep562

Name:           python-%{srcname}
Version:        1.0
Release:        1%{?dist}
Summary:        Backport of PEP 562

License:        MIT
URL:            https://pypi.org/project/pep562/
Source:         %{pypi_source}

BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description -n python3-%{srcname}
%{summary}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%python3 -m pytest

%files -n python3-%{srcname}
%license LICENSE.md
%doc README.md CHANGES.md
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Sun Dec 06 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0-1
- Initial package
